NPM proxy error


#1

I am trying to install this library from @NathanaelA

It’s a library for Barcores or QR Codes.

I am not being able to execute the install command
when i run the install command: tns plugin add nativescript-zxing

This error pops up:

I can’t figure out the solution since i already have the proxy configured to overrun npm.

I ran this command: npm config edit
and the proxy is defined for me
npm config set proxy http://proxy.company.com:8080
npm config set https-proxy http://proxy.company.com:8080
i replaced proxy.company.com:8080 by me username followed by password followed by ip adress and port

Since i configured the proxy to work it should work.

Another wierd thing is i tried to run the command: tns doctor and it didn’t seem to work either


#2

Also if it helps ,here’s the log information:
from the tns plugin add nativescript-zxing

0 info it worked if it ends with ok
1 verbose cli [ 'C:\\Program Files\\nodejs\\node.exe',
1 verbose cli   'C:\\Users\\MoutaL\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js',
1 verbose cli   'install',
1 verbose cli   'nativescript-zxing',
1 verbose cli   '--save' ]
2 info using npm@5.0.3
3 info using node@v6.10.2
4 verbose npm-session 0098bd087f42fd33
5 silly install loadCurrentTree
6 silly install readLocalPackageData
7 http fetch GET 407 http://registry.npmjs.org/nativescript-zxing 221ms
8 silly fetchPackageMetaData error for nativescript-zxing@latest 407 Proxy Authentication Required: nativescript-zxing@latest
9 verbose stack Error: 407 Proxy Authentication Required: nativescript-zxing@latest
9 verbose stack     at fetch.then.res (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\pacote\lib\fetchers\registry\fetch.js:41:19)
9 verbose stack     at tryCatcher (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\util.js:16:23)
9 verbose stack     at Promise._settlePromiseFromHandler (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\promise.js:512:31)
9 verbose stack     at Promise._settlePromise (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\promise.js:569:18)
9 verbose stack     at Promise._settlePromise0 (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\promise.js:614:10)
9 verbose stack     at Promise._settlePromises (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\promise.js:693:18)
9 verbose stack     at Async._drainQueue (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\async.js:133:16)
9 verbose stack     at Async._drainQueues (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\async.js:143:10)
9 verbose stack     at Immediate.Async.drainQueues (C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\node_modules\bluebird\js\release\async.js:17:14)
9 verbose stack     at runCallback (timers.js:666:20)
9 verbose stack     at tryOnImmediate (timers.js:639:5)
9 verbose stack     at processImmediate [as _immediateCallback] (timers.js:611:5)
10 verbose cwd C:\Users\MoutaL\Desktop\NativeScript With TypeScript\FastCanteen
11 verbose Windows_NT 10.0.10586
12 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\MoutaL\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js" "install" "nativescript-zxing" "--save"
13 verbose node v6.10.2
14 verbose npm  v5.0.3
15 error code E407
16 error 407 Proxy Authentication Required: nativescript-zxing@latest
17 verbose exit [ 1, true ]


#3

I ran the command to clean my npm cachenpm cache clean --force

thne i was trying to unnistal nativescript and re-install it.
I ran the command: npm unnistal -g nativescript
And he doesn’t even let me do that.

It says it is a This is an error with npm itself.

The log:

0 info it worked if it ends with ok
1 verbose cli [ ‘C:\Program Files\nodejs\node.exe’,
1 verbose cli ‘C:\Users\MoutaL\AppData\Roaming\npm\node_modules\npm\bin\npm-cli.js’,
1 verbose cli ‘uninstall’,
1 verbose cli ‘-g’,
1 verbose cli ‘nativescript’ ]
2 info using npm@5.0.3
3 info using node@v6.10.2
4 verbose npm-session 8a64eb42ac0ecf7b
5 silly install loadCurrentTree
6 silly install readGlobalPackageData
7 silly install loadIdealTree
8 silly install cloneCurrentTreeToIdealTree
9 silly install loadShrinkwrap
10 silly uninstall loadAllDepsIntoIdealTree
11 silly install loadAllDepsIntoIdealTree
12 error cb() never called!
13 error This is an error with npm itself. Please report this error at:
14 error https://github.com/npm/npm/issues

@NathanaelA @jen.looper